DELETE FROM PROFORMA
;

ALTER TABLE PROFORMA
ADD ID_PROFORMA NUMBER NOT NULL
;

ALTER TABLE PROFORMA
ADD CONSTRAINT PROFORMA_PK PRIMARY KEY (ID_PROFORMA)
;

ALTER TABLE PROFORMA
ADD SERVICE_CODE VARCHAR2(30 CHAR)
;

ALTER TABLE PROFORMA
ADD ID_ARTIKEL NUMBER
;

ALTER TABLE PROFORMA
ADD BRUTO NUMBER
;

ALTER TABLE PROFORMA
ADD NETO NUMBER
;

ALTER TABLE PROFORMA
ADD TAX NUMBER
;

ALTER TABLE PROFORMA
ADD ID_DAVEK NUMBER
;

CREATE SEQUENCE PROFORMA_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

create or replace TRIGGER PROFORMA_TRG
BEFORE INSERT
ON PROFORMA
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
BEGIN
IF (:NEW.ID_PROFORMA IS NULL) THEN
SELECT PROFORMA_SEQ.NEXTVAL INTO :NEW.ID_PROFORMA  FROM dual;;
END IF;;
END;;
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1810, SYSDATE, '5.5', 1730, 'Proforma')
;
