DROP VIEW V_NNCARDS;

CREATE OR REPLACE VIEW V_NNCARDS AS (
SELECT NC.ID_CARDS, NC.OPIS, NC.INTERNI_OPIS, NC.VRSTA_DENARJA, NC.VALUTA, NC.PROVIZIJA, NC.KONTO, NC.KNJIZBA_OPIS, NC.STORITEV, NC.RECEIVED_PAYMENT, NC.FOOD_AND_BEVERAGE,
NC.USE_PAYMENT_SYSTEM, NC.CARD_ISSUER, NC.REFUND, NC.MOBILE_USE, NC.VBLAGAJNI, NC.ROUNDING, NC.ACTIVE,
NC.VTRBLAG, NC.KUPEC_KARTICA, NC.SUBLEASE, NC.SALDKONT, NC.EXT_CODE, NC.EXT_DESCRIPTION, NC.ALLOW_PREPAYMENT, NC.CHARTER, NC.TRANSACTION_FEE,  
NC.PAYMENT_TRANSACTIONS, NC.STORE, NC.QUICK_REFERENCE_INPUT, NC.CREDIT_LIMIT,
PI.OPIS AS PLATNI_INSTRUMENTI_OPIS, PI.VRSTA AS PLATNI_INSTRUMENTI_VRSTA, MS.OPIS AS NNSTOMAR_OPIS, PS.OPIS AS PAYMENT_SYSTEM_OPIS, CI.OPIS AS CARD_ISSUER_OPIS,
VT.DESCRIPTION AS VOUCHER_TYPE_DESCRIPTION
FROM NNCARDS NC
LEFT OUTER JOIN PLATNI_INSTRUMENTI PI ON PI.PLATNI_INSTRUMENT = NC.VRSTA_DENARJA
LEFT OUTER JOIN M_NNSTOMAR MS ON MS.SIFRA = NC.STORITEV
LEFT OUTER JOIN NNPAYMENT_SYSTEM PS ON PS.SIFRA =  NC.USE_PAYMENT_SYSTEM
LEFT OUTER JOIN NNCARD_ISSUER CI ON CI.SIFRA =  NC.CARD_ISSUER
LEFT OUTER JOIN VOUCHER_TYPE VT ON NC.VOUCHER_TYPE = VT.ID_VOUCHER_TYPE
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2053, SYSDATE, '5.5', 1973, 'V_NNCARDS')
;